
QGIS Application - Bug report #978

topological editing with snapping to segment yields 2 vertices instead of 1 adding vertex

2008-03-08 08:11 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11037

Description

1. Add a line or polygon Shapefile or [[PostGIS]] layer.

2. In project properties enable topological editing, set snapping mode "to segment" or "to vertex and segment".

3. Digitize a line or boundary.

4. Add a vertex on it, move it - you see 2 vertices were added instead of 1. Topology broken.

SVN r8190.

History

#1 - 2008-04-16 08:47 AM - Maciej Sieczka -

Still valid as of commit:b5286872 (SVN r8353).

#2 - 2008-07-08 10:43 AM - Tim Sutton

- Status changed from Open to In Progress

#3 - 2008-07-09 02:14 AM - Tim Sutton

- Status changed from In Progress to Closed

- Resolution set to worksforme

Cant replicate. I created a new line using the 'lines' layer in tests/testdata. Digitised a line across one of the roads with a vertex snapped to the road I was

crossing. When I subsequently move the vertex, 4 red guides appear and both features are modified in shape as I drag the vertex around.

I'm marking this as 'works for me'. Please advise with more detail if there is something I'm missing and we can adjust the status of the ticket accordingly.

Regards

Tim

#4 - 2008-07-09 05:17 AM - Maciej Sieczka -

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback
Tim

You need to set snapping different than 0 for the given layer to notice the bug.

The greater snapping threshold, the greater chance of reproducing the error - at 10 I have 100% "success" of adding 3 vertices instead of 1 in a line

Shapefile layer.

Please please fix it before release.

#5 - 2008-07-09 07:25 AM - Tim Sutton

Hi

Ah ok - I had tested at 1 and at 0.1 and it was working ok - will retest.

Regards

Tim

#6 - 2008-07-10 04:51 PM - Tim Sutton

I still cant replicate this issue. Could you send me a small dataset to test with that will allow me to replicate?

If I cant replicate and resolve this tomorrow I am going to push this bug over to 1.0.0 milestone.

Regards

Tim

#7 - 2008-07-11 12:49 AM - Maciej Sieczka -

Tim,

I can still reproduce the bug in latest trunk commit:3009c0b9 (SVN r8751). Follow this please:

1. Open the attached shapefile in QGIS.

2. Project properties: check "Enable topological editing".

3. Project properties > Snapping options: check the layer, Mode: "to vertex and segment", Tolerance: "10".

4. Toggle editing.

5. Add a vertex, move it - you'll see 3 vertices were added instead of 1. The attached screendumps show that it really happens.

#8 - 2008-07-11 01:52 AM - Tim Sutton

Hi
Ah great thanks for that I can replicate the issue now.

Regards

Tim

#9 - 2008-07-11 09:15 AM - Marco Hugentobler

- Status changed from Feedback to Closed

- Resolution set to fixed

This should be fixed in commit:6972f69e (SVN r8754).

Please test and reopen the bug if you still have the problem

#10 - 2009-08-22 12:56 AM - Anonymous

Milestone Version 0.11.0 deleted

Files

linie_utm33.zip 918 Bytes 2008-07-10 Maciej Sieczka -

1_before.png 4.24 KB 2008-07-10 Maciej Sieczka -

2_vertex_added.png 6 KB 2008-07-10 Maciej Sieczka -

3_vertex_moved.png 6.04 KB 2008-07-10 Maciej Sieczka -

4_vertex_moved2.png 6.05 KB 2008-07-10 Maciej Sieczka -

2024-04-28 3/3


